image: rbekker87/build-tools:latest
stages:
  - ver
  - init
  - tests
  - deploy
ver:
  stage: ver
  script:
    - python --version
    - whoami
init:
  stage: init
  script:
    - apk add postgresql-dev --no-cache
    - pip install psycopg2-binary
    - pip install -r requirements.txt
run_tests:
  stage: tests
  script:
    - apk add postgresql-dev --no-cache
    - pip install psycopg2-binary
    - pip install -r requirements.txt
    - python tests.py
deploy_staging:
  stage: deploy
  script:
    - git remote add heroku https://heroku:$HEROKU_API_KEY@git.heroku.com/flask-api-staging9909.git
    - git push heroku master
    - echo "Deployed to Staging Server https://flask-api-staging9909.herokuapp.com"
  environment:
    name: staging
    url: https://flask-api-staging9909.herokuapp.com/
  only:
    - master
deploy_production:
  stage: deploy
  script:
    - git remote add heroku https://heroku:$HEROKU_API_KEY@git.heroku.com/flask-prod9909.git
    - git push heroku master
    - echo "Deployed to Production Server https://flask-prod9909.herokuapp.com"
  environment:
    name: production
    url: https://flask-prod9909.herokuapp.com/
  when: manual
  only:
    - master